import {createApp} from 'vue'
import App from './App.vue'
import router from './router'
import { store } from '@/store'
import ElementPlus from 'element-plus'
import zhCn from 'element-plus/dist/locale/zh-cn'
import * as ElementPlusIconsVue from '@element-plus/icons-vue'
import 'element-plus/dist/index.css'
import vue3PhotoPreview from 'vue3-photo-preview';
import 'vue3-photo-preview/dist/index.css';
const app = createApp(App);
for (const [key, component] of Object.entries(ElementPlusIconsVue)) {
	app.component(key, component)
}
app.use(vue3PhotoPreview);
app.use(store);
app.use(ElementPlus, {
	locale: zhCn
});
app.use(router);
app.mount('#app');
