import {createRouter, createWebHashHistory} from 'vue-router'
import {useStore} from '@/store/modules/app';
import api from '@/api/methods/index'
import myPublic from '@/utils/public'

const routes = [
    {
        path: '/',
        name: 'index',
        component: () => import('@/views/index.vue'),
        redirect: '/home',
        children: [
            {
                path: 'home',
                name: 'home',
                meta: {
                    prop: 'home'
                },
                component: () => import('@/views/home.vue')
            }
        ]
    },
	{
		path: '/login',
		name: 'login',
		meta: {
			prop: 'login'
		},
		component: () => import('@/views/login.vue')
	}
];

const router = createRouter({
    history: createWebHashHistory(process.env.BASE_URL),
    routes
});
router.beforeEach(async (to, from, next) => {
	const store = useStore();
	let token = myPublic.getStorage('qsh-wc-token')?myPublic.getStorage('qsh-wc-token'):myPublic.getUrlKey('token');
	if(!token){
		store.FirstGO(0);
		if(to.path!='/login'){
			next({path:'/login'})
		}else{
			next();
		}
	}else{
		if(!store.token){
			store.TOKEN(token);
			if(token!=myPublic.getStorage('qsh-wc-token')){
				myPublic.setStorage('qsh-wc-token',token);
			}
		}
		if(store.firstGo<3){
			store.FirstGO(1);
		}
		next()
	}
});
export default router
