package web

import (
	"gitee.com/zjlsliupei/ghelp"
	"github.com/flipped-aurora/gin-vue-admin/server/model/common/response"
	"github.com/flipped-aurora/gin-vue-admin/server/request"
	"github.com/flipped-aurora/gin-vue-admin/server/service/web"
	"github.com/gin-gonic/gin"
)

var DataService = new(web.DataService)

func DataIn(c *gin.Context) {

}

//GetYewei 获取液位数据
func GetYewei(c *gin.Context) {
	var arg request.GetYewei
	_ = c.ShouldBindJSON(&arg)
	data, err := DataService.GetYewei(arg)
	if err != nil {
		response.FailWithMessage(err.Error(), c)
		return
	}
	response.OkWithData(data, c)

}

//GetHistoryDataList 获取历史数据列表
func GetHistoryDataList(c *gin.Context) {
	var arg request.GetHistoryDataList
	_ = c.ShouldBindJSON(&arg)
	list, total, err := DataService.GetHistoryDataList(arg)
	if err != nil {
		response.FailWithMessage(err.Error(), c)
		return
	}
	response.OkWithData(ghelp.MAP{
		"list":  list,
		"total": total,
	}, c)

}
