package web

import (
	"gitee.com/zjlsliupei/ghelp"
	"github.com/flipped-aurora/gin-vue-admin/server/model/common/response"
	"github.com/flipped-aurora/gin-vue-admin/server/request"
	"github.com/flipped-aurora/gin-vue-admin/server/service"
	"github.com/gin-gonic/gin"
)

var patrolService = service.ServiceGroupApp.WebServiceGroup.PatrolService

//GetPatrolList 获取工单列表
func GetPatrolList(c *gin.Context) {
	var arg request.PatrolList
	_ = c.ShouldBindJSON(&arg)
	if list, total, err := patrolService.GetPatrolList(arg); err != nil {
		response.FailWithMessage(err.Error(), c)
	} else {
		response.OkWithData(ghelp.MAP{
			"list":  list,
			"total": total,
		}, c)
	}
}

func GetPatrolDetail(c *gin.Context) {
	var arg request.GetPatrolId
	_ = c.ShouldBindJSON(&arg)
	if data, err := patrolService.GetPatrolDetail(arg); err != nil {
		response.FailWithMessage(err.Error(), c)
	} else {
		response.OkWithData(data, c)
	}
}
