package web

import (
	"gitee.com/zjlsliupei/ghelp"
	"github.com/flipped-aurora/gin-vue-admin/server/model/common/response"
	"github.com/flipped-aurora/gin-vue-admin/server/request"
	"github.com/flipped-aurora/gin-vue-admin/server/service"
	"github.com/gin-gonic/gin"
)

var toiletService = service.ServiceGroupApp.WebServiceGroup.ToiletService

//GetToiletList 公厕点位列表
func GetToiletList(c *gin.Context) {
	var toilet request.Toilet
	_ = c.ShouldBindJSON(&toilet)

	if list, total, err := toiletService.GetToiletList(toilet); err != nil {
		response.FailWithMessage(err.Error(), c)
	} else {
		response.OkWithData(ghelp.MAP{
			"list":  list,
			"total": total,
		}, c)
	}
}

//GetToiletDetail 公厕点位详情
func GetToiletDetail(c *gin.Context) {
	var arg request.GetId
	_ = c.ShouldBindJSON(&arg)
	if data, err := toiletService.GetToiletDetail(arg); err != nil {
		response.FailWithMessage(err.Error(), c)
	} else {
		response.OkWithData(data, c)
	}
}

func GetMonitorInfo(c *gin.Context) {
	var arg request.GetId
	_ = c.ShouldBindJSON(&arg)
	accessToken, cameraUrl, err := toiletService.GetMonitorInfo(arg)
	if err != nil {
		response.FailWithMessage(err.Error(), c)
		return
	}
	response.OkWithData(ghelp.MAP{
		"access_token": accessToken,
		"camera_url":   cameraUrl,
	}, c)
}
