package middleware

import (
	"gitee.com/zjlsliupei/ghelp"
	"github.com/flipped-aurora/gin-vue-admin/server/global"
	"github.com/flipped-aurora/gin-vue-admin/server/model/common/response"
	"github.com/gin-gonic/gin"
	"github.com/songzhibin97/gkit/tools/gjson"
)

var exCheck = []string{"/web/login/login", "/web/oss/getOssConfig", "/web/type/typeData"}

func Token() gin.HandlerFunc {
	return func(c *gin.Context) {
		act := c.Request.URL.Path
		if ghelp.InArray(act, exCheck) {
			c.Next()
			return
		}
		token := c.Query("access_token")
		if token == "" {
			response.Result(1000, "", "token不存在", c)
			c.Abort()
			return
		}
		prefix := global.GVA_VP.GetString("redis.prefix")
		res := global.GVA_REDIS.Get(c, prefix+token)

		if res.Err() != nil {
			response.Result(1000, "", "token不存在", c)
			c.Abort()
			return
		}
		c.Set("user_id", gjson.Get(res.Val(), "user_id").Int())
		c.Next()
	}
}
