package admin

import (
	"github.com/flipped-aurora/gin-vue-admin/server/api/v1"
	"github.com/flipped-aurora/gin-vue-admin/server/middleware"
	"github.com/gin-gonic/gin"
)

type QshMonitorDataRouter struct {
}

// InitQshMonitorDataRouter 初始化 QshMonitorData 路由信息
func (s *QshMonitorDataRouter) InitQshMonitorDataRouter(Router *gin.RouterGroup) {
	qshMonitorDataRouter := Router.Group("qshMonitorData").Use(middleware.OperationRecord())
	qshMonitorDataRouterWithoutRecord := Router.Group("qshMonitorData")
	var qshMonitorDataApi = v1.ApiGroupApp.AdminApiGroup.QshMonitorDataApi
	{
		qshMonitorDataRouter.POST("createQshMonitorData", qshMonitorDataApi.CreateQshMonitorData)             // 新建QshMonitorData
		qshMonitorDataRouter.DELETE("deleteQshMonitorData", qshMonitorDataApi.DeleteQshMonitorData)           // 删除QshMonitorData
		qshMonitorDataRouter.DELETE("deleteQshMonitorDataByIds", qshMonitorDataApi.DeleteQshMonitorDataByIds) // 批量删除QshMonitorData
		qshMonitorDataRouter.PUT("updateQshMonitorData", qshMonitorDataApi.UpdateQshMonitorData)              // 更新QshMonitorData
	}
	{
		qshMonitorDataRouterWithoutRecord.GET("findQshMonitorData", qshMonitorDataApi.FindQshMonitorData)       // 根据ID获取QshMonitorData
		qshMonitorDataRouterWithoutRecord.GET("getQshMonitorDataList", qshMonitorDataApi.GetQshMonitorDataList) // 获取QshMonitorData列表
	}
}
