package admin

import (
	"github.com/flipped-aurora/gin-vue-admin/server/api/v1"
	"github.com/flipped-aurora/gin-vue-admin/server/middleware"
	"github.com/gin-gonic/gin"
)

type QshPartolRouter struct {
}

// InitQshPartolRouter 初始化 QshPartol 路由信息
func (s *QshPartolRouter) InitQshPartolRouter(Router *gin.RouterGroup) {
	qshPartolRouter := Router.Group("qshPartol").Use(middleware.OperationRecord())
	qshPartolRouterWithoutRecord := Router.Group("qshPartol")
	var qshPartolApi = v1.ApiGroupApp.AdminApiGroup.QshPartolApi
	{
		qshPartolRouter.POST("createQshPartol", qshPartolApi.CreateQshPartol)   // 新建QshPartol
		qshPartolRouter.DELETE("deleteQshPartol", qshPartolApi.DeleteQshPartol) // 删除QshPartol
		qshPartolRouter.DELETE("deleteQshPartolByIds", qshPartolApi.DeleteQshPartolByIds) // 批量删除QshPartol
		qshPartolRouter.PUT("updateQshPartol", qshPartolApi.UpdateQshPartol)    // 更新QshPartol
	}
	{
		qshPartolRouterWithoutRecord.GET("findQshPartol", qshPartolApi.FindQshPartol)        // 根据ID获取QshPartol
		qshPartolRouterWithoutRecord.GET("getQshPartolList", qshPartolApi.GetQshPartolList)  // 获取QshPartol列表
	}
}
