package admin

import (
	"github.com/flipped-aurora/gin-vue-admin/server/api/v1"
	"github.com/flipped-aurora/gin-vue-admin/server/middleware"
	"github.com/gin-gonic/gin"
)

type QshToiletRouter struct {
}

// InitQshToiletRouter 初始化 QshToilet 路由信息
func (s *QshToiletRouter) InitQshToiletRouter(Router *gin.RouterGroup) {
	qshToiletRouter := Router.Group("qshToilet").Use(middleware.OperationRecord())
	qshToiletRouterWithoutRecord := Router.Group("qshToilet")
	var qshToiletApi = v1.ApiGroupApp.AdminApiGroup.QshToiletApi
	{
		qshToiletRouter.POST("createQshToilet", qshToiletApi.CreateQshToilet)   // 新建QshToilet
		qshToiletRouter.DELETE("deleteQshToilet", qshToiletApi.DeleteQshToilet) // 删除QshToilet
		qshToiletRouter.DELETE("deleteQshToiletByIds", qshToiletApi.DeleteQshToiletByIds) // 批量删除QshToilet
		qshToiletRouter.PUT("updateQshToilet", qshToiletApi.UpdateQshToilet)    // 更新QshToilet
	}
	{
		qshToiletRouterWithoutRecord.GET("findQshToilet", qshToiletApi.FindQshToilet)        // 根据ID获取QshToilet
		qshToiletRouterWithoutRecord.GET("getQshToiletList", qshToiletApi.GetQshToiletList)  // 获取QshToilet列表
	}
}
