package admin

import (
	"github.com/flipped-aurora/gin-vue-admin/server/api/v1"
	"github.com/flipped-aurora/gin-vue-admin/server/middleware"
	"github.com/gin-gonic/gin"
)

type QshTypeRouter struct {
}

// InitQshTypeRouter 初始化 QshType 路由信息
func (s *QshTypeRouter) InitQshTypeRouter(Router *gin.RouterGroup) {
	qshTypeRouter := Router.Group("qshType").Use(middleware.OperationRecord())
	qshTypeRouterWithoutRecord := Router.Group("qshType")
	var qshTypeApi = v1.ApiGroupApp.AdminApiGroup.QshTypeApi
	{
		qshTypeRouter.POST("createQshType", qshTypeApi.CreateQshType)             // 新建QshType
		qshTypeRouter.DELETE("deleteQshType", qshTypeApi.DeleteQshType)           // 删除QshType
		qshTypeRouter.DELETE("deleteQshTypeByIds", qshTypeApi.DeleteQshTypeByIds) // 批量删除QshType
		qshTypeRouter.PUT("updateQshType", qshTypeApi.UpdateQshType)              // 更新QshType
	}
	{
		qshTypeRouterWithoutRecord.GET("findQshType", qshTypeApi.FindQshType)       // 根据ID获取QshType
		qshTypeRouterWithoutRecord.GET("getQshTypeList", qshTypeApi.GetQshTypeList) // 获取QshType列表
	}
}
