package router

import (
	"github.com/flipped-aurora/gin-vue-admin/server/api/v1/web"
	"github.com/flipped-aurora/gin-vue-admin/server/middleware"
	"github.com/gin-gonic/gin"
)

func InitWebRouter(router *gin.Engine) {
	webRouter := router.Group("/web")
	webRouter.Use(middleware.Token())
	login := webRouter.Group("/login")
	{
		login.POST("/login", web.Login) //登录
	}
	toilet := webRouter.Group("toilet")
	{
		toilet.POST("/toiletList", web.GetToiletList)
		toilet.POST("/getToiletDetail", web.GetToiletDetail)
		toilet.POST("/getMonitorInfo", web.GetMonitorInfo)
	}
	patrol := webRouter.Group("patrol")
	{
		patrol.POST("getPatrolList", web.GetPatrolList)
		patrol.POST("getPatrolDetail", web.GetPatrolDetail)
	}
	oss := webRouter.Group("oss")
	{
		oss.POST("getOssConfig", web.GetOssConfig)
	}
	data := webRouter.Group("data")
	{
		data.POST("getHistoryDataList", web.GetHistoryDataList)
		data.POST("getYewei", web.GetYewei)
	}

	typeData := webRouter.Group("type")
	{
		typeData.POST("typeData", web.GetType)
	}
}
