package admin

import (
	"github.com/flipped-aurora/gin-vue-admin/server/global"
	"github.com/flipped-aurora/gin-vue-admin/server/model/admin"
	adminReq "github.com/flipped-aurora/gin-vue-admin/server/model/admin/request"
	"github.com/flipped-aurora/gin-vue-admin/server/model/common/request"
)

type QshPartolService struct {
}

// CreateQshPartol 创建QshPartol记录
// Author [piexlmax](https://github.com/piexlmax)
func (qshPartolService *QshPartolService) CreateQshPartol(qshPartol admin.QshPatrol) (err error) {
	err = global.GVA_DB.Create(&qshPartol).Error
	return err
}

// DeleteQshPartol 删除QshPartol记录
// Author [piexlmax](https://github.com/piexlmax)
func (qshPartolService *QshPartolService) DeleteQshPartol(qshPartol admin.QshPatrol) (err error) {
	err = global.GVA_DB.Delete(&qshPartol).Error
	return err
}

// DeleteQshPartolByIds 批量删除QshPartol记录
// Author [piexlmax](https://github.com/piexlmax)
func (qshPartolService *QshPartolService) DeleteQshPartolByIds(ids request.IdsReq) (err error) {
	err = global.GVA_DB.Delete(&[]admin.QshPatrol{}, "id in ?", ids.Ids).Error
	return err
}

// UpdateQshPartol 更新QshPartol记录
// Author [piexlmax](https://github.com/piexlmax)
func (qshPartolService *QshPartolService) UpdateQshPartol(qshPartol admin.QshPatrol) (err error) {
	err = global.GVA_DB.Save(&qshPartol).Error
	return err
}

// GetQshPartol 根据id获取QshPartol记录
// Author [piexlmax](https://github.com/piexlmax)
func (qshPartolService *QshPartolService) GetQshPartol(id uint) (qshPartol admin.QshPatrol, err error) {
	err = global.GVA_DB.Where("id = ?", id).First(&qshPartol).Error
	return
}

// GetQshPartolInfoList 分页获取QshPartol记录
// Author [piexlmax](https://github.com/piexlmax)
func (qshPartolService *QshPartolService) GetQshPartolInfoList(info adminReq.QshPartolSearch) (list interface{}, total int64, err error) {
	limit := info.PageSize
	offset := info.PageSize * (info.Page - 1)
	// 创建db
	db := global.GVA_DB.Model(&admin.QshPatrol{})
	var qshPartols []admin.QshPatrol
	// 如果有条件搜索 下方会自动创建搜索语句
	if info.Title != "" {
		db = db.Where("title LIKE ?", "%"+info.Title+"%")
	}
	if info.Type != 0 {
		db = db.Where("type = ?", info.Type)
	}
	if info.ToiletId != 0 {
		db = db.Where("toilet_id = ?", info.ToiletId)
	}
	err = db.Count(&total).Error
	if err != nil {
		return
	}
	err = db.Limit(limit).Offset(offset).Preload("Toilet").Find(&qshPartols).Error
	return qshPartols, total, err
}
