package admin

import (
	"github.com/flipped-aurora/gin-vue-admin/server/global"
	"github.com/flipped-aurora/gin-vue-admin/server/model/admin"
	"github.com/flipped-aurora/gin-vue-admin/server/model/common/request"
    adminReq "github.com/flipped-aurora/gin-vue-admin/server/model/admin/request"
)

type QshToiletService struct {
}

// CreateQshToilet 创建QshToilet记录
// Author [piexlmax](https://github.com/piexlmax)
func (qshToiletService *QshToiletService) CreateQshToilet(qshToilet admin.QshToilet) (err error) {
	err = global.GVA_DB.Create(&qshToilet).Error
	return err
}

// DeleteQshToilet 删除QshToilet记录
// Author [piexlmax](https://github.com/piexlmax)
func (qshToiletService *QshToiletService)DeleteQshToilet(qshToilet admin.QshToilet) (err error) {
	err = global.GVA_DB.Delete(&qshToilet).Error
	return err
}

// DeleteQshToiletByIds 批量删除QshToilet记录
// Author [piexlmax](https://github.com/piexlmax)
func (qshToiletService *QshToiletService)DeleteQshToiletByIds(ids request.IdsReq) (err error) {
	err = global.GVA_DB.Delete(&[]admin.QshToilet{},"id in ?",ids.Ids).Error
	return err
}

// UpdateQshToilet 更新QshToilet记录
// Author [piexlmax](https://github.com/piexlmax)
func (qshToiletService *QshToiletService)UpdateQshToilet(qshToilet admin.QshToilet) (err error) {
	err = global.GVA_DB.Save(&qshToilet).Error
	return err
}

// GetQshToilet 根据id获取QshToilet记录
// Author [piexlmax](https://github.com/piexlmax)
func (qshToiletService *QshToiletService)GetQshToilet(id uint) (qshToilet admin.QshToilet, err error) {
	err = global.GVA_DB.Where("id = ?", id).First(&qshToilet).Error
	return
}

// GetQshToiletInfoList 分页获取QshToilet记录
// Author [piexlmax](https://github.com/piexlmax)
func (qshToiletService *QshToiletService)GetQshToiletInfoList(info adminReq.QshToiletSearch) (list interface{}, total int64, err error) {
	limit := info.PageSize
	offset := info.PageSize * (info.Page - 1)
    // 创建db
	db := global.GVA_DB.Model(&admin.QshToilet{})
    var qshToilets []admin.QshToilet
    // 如果有条件搜索 下方会自动创建搜索语句
    if info.Name != "" {
        db = db.Where("name LIKE ?","%"+ info.Name+"%")
    }
    if info.Type != nil {
        db = db.Where("type = ?",info.Type)
    }
	err = db.Count(&total).Error
	if err!=nil {
    	return
    }
	err = db.Limit(limit).Offset(offset).Find(&qshToilets).Error
	return  qshToilets, total, err
}
