package admin

import (
	"github.com/flipped-aurora/gin-vue-admin/server/global"
	"github.com/flipped-aurora/gin-vue-admin/server/model/admin"
	adminReq "github.com/flipped-aurora/gin-vue-admin/server/model/admin/request"
	"github.com/flipped-aurora/gin-vue-admin/server/model/common/request"
)

type QshTypeService struct {
}

// CreateQshType 创建QshType记录
// Author [piexlmax](https://github.com/piexlmax)
func (qshTypeService *QshTypeService) CreateQshType(qshType admin.QshType) (err error) {
	err = global.GVA_DB.Create(&qshType).Error
	return err
}

// DeleteQshType 删除QshType记录
// Author [piexlmax](https://github.com/piexlmax)
func (qshTypeService *QshTypeService) DeleteQshType(qshType admin.QshType) (err error) {
	err = global.GVA_DB.Delete(&qshType).Error
	return err
}

// DeleteQshTypeByIds 批量删除QshType记录
// Author [piexlmax](https://github.com/piexlmax)
func (qshTypeService *QshTypeService) DeleteQshTypeByIds(ids request.IdsReq) (err error) {
	err = global.GVA_DB.Delete(&[]admin.QshType{}, "id in ?", ids.Ids).Error
	return err
}

// UpdateQshType 更新QshType记录
// Author [piexlmax](https://github.com/piexlmax)
func (qshTypeService *QshTypeService) UpdateQshType(qshType admin.QshType) (err error) {
	err = global.GVA_DB.Save(&qshType).Error
	return err
}

// GetQshType 根据id获取QshType记录
// Author [piexlmax](https://github.com/piexlmax)
func (qshTypeService *QshTypeService) GetQshType(id uint) (qshType admin.QshType, err error) {
	err = global.GVA_DB.Where("id = ?", id).First(&qshType).Error
	return
}

// GetQshTypeInfoList 分页获取QshType记录
// Author [piexlmax](https://github.com/piexlmax)
func (qshTypeService *QshTypeService) GetQshTypeInfoList(info adminReq.QshTypeSearch) (list interface{}, total int64, err error) {
	limit := info.PageSize
	offset := info.PageSize * (info.Page - 1)
	// 创建db
	db := global.GVA_DB.Model(&admin.QshType{})
	var qshTypes []admin.QshType
	// 如果有条件搜索 下方会自动创建搜索语句
	err = db.Count(&total).Error
	if err != nil {
		return
	}
	err = db.Limit(limit).Offset(offset).Find(&qshTypes).Error
	return qshTypes, total, err
}
