package web

import (
	"github.com/flipped-aurora/gin-vue-admin/server/global"
	"github.com/flipped-aurora/gin-vue-admin/server/model/admin"
	"github.com/flipped-aurora/gin-vue-admin/server/request"
)

type PatrolService struct {
}

func (l *PatrolService) GetPatrolList(arg request.PatrolList) ([]admin.QshPatrol, int64, error) {

	limit := arg.PageSize
	offset := (arg.Page - 1) * arg.PageSize
	var total int64
	var patrolList []admin.QshPatrol

	db := global.GVA_DB.Model(admin.QshPatrol{})

	if arg.StartTime != "" {
		db.Where("created_at >= ?", arg.StartTime)
	}
	if arg.EndTime != "" {
		db.Where("created_at <= ?", arg.EndTime)
	}

	if arg.Type != 0 {
		db.Where("type = ?", arg.Type)
	}
	if arg.ToiletId != 0 {
		db.Where("toilet_id = ?", arg.ToiletId)
	}
	err := db.Count(&total).Error
	if err != nil {
		return patrolList, total, err
	}
	err = db.Debug().Limit(limit).Offset(offset).Preload("Toilet").Find(&patrolList).Error
	if err != nil {
		return patrolList, total, err
	}
	return patrolList, total, nil
}

func (l *PatrolService) GetPatrolDetail(arg request.GetPatrolId) (admin.QshPatrol, error) {
	var patrolList admin.QshPatrol
	db := global.GVA_DB.Model(admin.QshPatrol{})
	db.Where("id = ?", arg.ID)

	err := db.First(&patrolList).Preload("Toilet").Error
	if err != nil {
		return patrolList, err
	}
	return patrolList, nil
}
