package web

import (
	"github.com/flipped-aurora/gin-vue-admin/server/global"
	"github.com/flipped-aurora/gin-vue-admin/server/model/admin"
	"github.com/flipped-aurora/gin-vue-admin/server/request"
	"github.com/flipped-aurora/gin-vue-admin/server/utils"
)

type ToiletService struct {
}

func (l *ToiletService) GetToiletList(toilet request.Toilet) ([]admin.QshToilet, int64, error) {
	limit := toilet.PageSize
	offset := (toilet.Page - 1) * toilet.PageSize
	var total int64
	var toiletList []admin.QshToilet
	db := global.GVA_DB.Model(admin.QshToilet{})
	db.Count(&total)

	err := db.Limit(limit).Offset(offset).Find(&toiletList).Error
	if err != nil {
		return toiletList, total, err
	}
	return toiletList, total, nil
}

func (l *ToiletService) GetToiletDetail(toilet request.GetId) (admin.QshToilet, error) {
	var toiletInfo admin.QshToilet

	err := global.GVA_DB.Model(toiletInfo).Where("id = ?", toilet.ID).First(&toiletInfo).Error
	if err != nil {
		return toiletInfo, err
	}
	return toiletInfo, nil
}

//GetMonitorInfo 获取设备信息
func (l *ToiletService) GetMonitorInfo(toilet request.GetId) (string, string, error) {
	var toiletInfo admin.QshToilet

	err := global.GVA_DB.Model(toiletInfo).Where("id = ?", toilet.ID).First(&toiletInfo).Error
	if err != nil {
		return "", "", err
	}
	accessToken, err := utils.GetYinShiAccessToken(toiletInfo.MonitorAc)
	if err != nil {
		return "", "", err
	}
	cameraUrl := utils.GetCameraUrl(toiletInfo.MonitorId)

	return accessToken, cameraUrl, nil

}
