import service from '@/utils/request'

// @Tags QshMonitorData
// @Summary 创建QshMonitorData
// @Security ApiKeyAuth
// @accept application/json
// @Produce application/json
// @Param data body model.QshMonitorData true "创建QshMonitorData"
// @Success 200 {string} string "{"success":true,"data":{},"msg":"获取成功"}"
// @Router /qshMonitorData/createQshMonitorData [post]
export const createQshMonitorData = (data) => {
  return service({
    url: '/qshMonitorData/createQshMonitorData',
    method: 'post',
    data
  })
}

// @Tags QshMonitorData
// @Summary 删除QshMonitorData
// @Security ApiKeyAuth
// @accept application/json
// @Produce application/json
// @Param data body model.QshMonitorData true "删除QshMonitorData"
// @Success 200 {string} string "{"success":true,"data":{},"msg":"删除成功"}"
// @Router /qshMonitorData/deleteQshMonitorData [delete]
export const deleteQshMonitorData = (data) => {
  return service({
    url: '/qshMonitorData/deleteQshMonitorData',
    method: 'delete',
    data
  })
}

// @Tags QshMonitorData
// @Summary 删除QshMonitorData
// @Security ApiKeyAuth
// @accept application/json
// @Produce application/json
// @Param data body request.IdsReq true "批量删除QshMonitorData"
// @Success 200 {string} string "{"success":true,"data":{},"msg":"删除成功"}"
// @Router /qshMonitorData/deleteQshMonitorData [delete]
export const deleteQshMonitorDataByIds = (data) => {
  return service({
    url: '/qshMonitorData/deleteQshMonitorDataByIds',
    method: 'delete',
    data
  })
}

// @Tags QshMonitorData
// @Summary 更新QshMonitorData
// @Security ApiKeyAuth
// @accept application/json
// @Produce application/json
// @Param data body model.QshMonitorData true "更新QshMonitorData"
// @Success 200 {string} string "{"success":true,"data":{},"msg":"更新成功"}"
// @Router /qshMonitorData/updateQshMonitorData [put]
export const updateQshMonitorData = (data) => {
  return service({
    url: '/qshMonitorData/updateQshMonitorData',
    method: 'put',
    data
  })
}

// @Tags QshMonitorData
// @Summary 用id查询QshMonitorData
// @Security ApiKeyAuth
// @accept application/json
// @Produce application/json
// @Param data query model.QshMonitorData true "用id查询QshMonitorData"
// @Success 200 {string} string "{"success":true,"data":{},"msg":"查询成功"}"
// @Router /qshMonitorData/findQshMonitorData [get]
export const findQshMonitorData = (params) => {
  return service({
    url: '/qshMonitorData/findQshMonitorData',
    method: 'get',
    params
  })
}

// @Tags QshMonitorData
// @Summary 分页获取QshMonitorData列表
// @Security ApiKeyAuth
// @accept application/json
// @Produce application/json
// @Param data query request.PageInfo true "分页获取QshMonitorData列表"
// @Success 200 {string} string "{"success":true,"data":{},"msg":"获取成功"}"
// @Router /qshMonitorData/getQshMonitorDataList [get]
export const getQshMonitorDataList = (params) => {
  return service({
    url: '/qshMonitorData/getQshMonitorDataList',
    method: 'get',
    params
  })
}
