import service from '@/utils/request'

// @Tags QshPartol
// @Summary 创建QshPartol
// @Security ApiKeyAuth
// @accept application/json
// @Produce application/json
// @Param data body model.QshPartol true "创建QshPartol"
// @Success 200 {string} string "{"success":true,"data":{},"msg":"获取成功"}"
// @Router /qshPartol/createQshPartol [post]
export const createQshPartol = (data) => {
  return service({
    url: '/qshPartol/createQshPartol',
    method: 'post',
    data
  })
}

// @Tags QshPartol
// @Summary 删除QshPartol
// @Security ApiKeyAuth
// @accept application/json
// @Produce application/json
// @Param data body model.QshPartol true "删除QshPartol"
// @Success 200 {string} string "{"success":true,"data":{},"msg":"删除成功"}"
// @Router /qshPartol/deleteQshPartol [delete]
export const deleteQshPartol = (data) => {
  return service({
    url: '/qshPartol/deleteQshPartol',
    method: 'delete',
    data
  })
}

// @Tags QshPartol
// @Summary 删除QshPartol
// @Security ApiKeyAuth
// @accept application/json
// @Produce application/json
// @Param data body request.IdsReq true "批量删除QshPartol"
// @Success 200 {string} string "{"success":true,"data":{},"msg":"删除成功"}"
// @Router /qshPartol/deleteQshPartol [delete]
export const deleteQshPartolByIds = (data) => {
  return service({
    url: '/qshPartol/deleteQshPartolByIds',
    method: 'delete',
    data
  })
}

// @Tags QshPartol
// @Summary 更新QshPartol
// @Security ApiKeyAuth
// @accept application/json
// @Produce application/json
// @Param data body model.QshPartol true "更新QshPartol"
// @Success 200 {string} string "{"success":true,"data":{},"msg":"更新成功"}"
// @Router /qshPartol/updateQshPartol [put]
export const updateQshPartol = (data) => {
  return service({
    url: '/qshPartol/updateQshPartol',
    method: 'put',
    data
  })
}

// @Tags QshPartol
// @Summary 用id查询QshPartol
// @Security ApiKeyAuth
// @accept application/json
// @Produce application/json
// @Param data query model.QshPartol true "用id查询QshPartol"
// @Success 200 {string} string "{"success":true,"data":{},"msg":"查询成功"}"
// @Router /qshPartol/findQshPartol [get]
export const findQshPartol = (params) => {
  return service({
    url: '/qshPartol/findQshPartol',
    method: 'get',
    params
  })
}

// @Tags QshPartol
// @Summary 分页获取QshPartol列表
// @Security ApiKeyAuth
// @accept application/json
// @Produce application/json
// @Param data query request.PageInfo true "分页获取QshPartol列表"
// @Success 200 {string} string "{"success":true,"data":{},"msg":"获取成功"}"
// @Router /qshPartol/getQshPartolList [get]
export const getQshPartolList = (params) => {
  return service({
    url: '/qshPartol/getQshPartolList',
    method: 'get',
    params
  })
}
