import service from '@/utils/request'

// @Tags QshToilet
// @Summary 创建QshToilet
// @Security ApiKeyAuth
// @accept application/json
// @Produce application/json
// @Param data body model.QshToilet true "创建QshToilet"
// @Success 200 {string} string "{"success":true,"data":{},"msg":"获取成功"}"
// @Router /qshToilet/createQshToilet [post]
export const createQshToilet = (data) => {
  return service({
    url: '/qshToilet/createQshToilet',
    method: 'post',
    data
  })
}

// @Tags QshToilet
// @Summary 删除QshToilet
// @Security ApiKeyAuth
// @accept application/json
// @Produce application/json
// @Param data body model.QshToilet true "删除QshToilet"
// @Success 200 {string} string "{"success":true,"data":{},"msg":"删除成功"}"
// @Router /qshToilet/deleteQshToilet [delete]
export const deleteQshToilet = (data) => {
  return service({
    url: '/qshToilet/deleteQshToilet',
    method: 'delete',
    data
  })
}

// @Tags QshToilet
// @Summary 删除QshToilet
// @Security ApiKeyAuth
// @accept application/json
// @Produce application/json
// @Param data body request.IdsReq true "批量删除QshToilet"
// @Success 200 {string} string "{"success":true,"data":{},"msg":"删除成功"}"
// @Router /qshToilet/deleteQshToilet [delete]
export const deleteQshToiletByIds = (data) => {
  return service({
    url: '/qshToilet/deleteQshToiletByIds',
    method: 'delete',
    data
  })
}

// @Tags QshToilet
// @Summary 更新QshToilet
// @Security ApiKeyAuth
// @accept application/json
// @Produce application/json
// @Param data body model.QshToilet true "更新QshToilet"
// @Success 200 {string} string "{"success":true,"data":{},"msg":"更新成功"}"
// @Router /qshToilet/updateQshToilet [put]
export const updateQshToilet = (data) => {
  return service({
    url: '/qshToilet/updateQshToilet',
    method: 'put',
    data
  })
}

// @Tags QshToilet
// @Summary 用id查询QshToilet
// @Security ApiKeyAuth
// @accept application/json
// @Produce application/json
// @Param data query model.QshToilet true "用id查询QshToilet"
// @Success 200 {string} string "{"success":true,"data":{},"msg":"查询成功"}"
// @Router /qshToilet/findQshToilet [get]
export const findQshToilet = (params) => {
  return service({
    url: '/qshToilet/findQshToilet',
    method: 'get',
    params
  })
}

// @Tags QshToilet
// @Summary 分页获取QshToilet列表
// @Security ApiKeyAuth
// @accept application/json
// @Produce application/json
// @Param data query request.PageInfo true "分页获取QshToilet列表"
// @Success 200 {string} string "{"success":true,"data":{},"msg":"获取成功"}"
// @Router /qshToilet/getQshToiletList [get]
export const getQshToiletList = (params) => {
  return service({
    url: '/qshToilet/getQshToiletList',
    method: 'get',
    params
  })
}
