import service from '@/utils/request'

// @Tags QshType
// @Summary 创建QshType
// @Security ApiKeyAuth
// @accept application/json
// @Produce application/json
// @Param data body model.QshType true "创建QshType"
// @Success 200 {string} string "{"success":true,"data":{},"msg":"获取成功"}"
// @Router /qshType/createQshType [post]
export const createQshType = (data) => {
  return service({
    url: '/qshType/createQshType',
    method: 'post',
    data
  })
}

// @Tags QshType
// @Summary 删除QshType
// @Security ApiKeyAuth
// @accept application/json
// @Produce application/json
// @Param data body model.QshType true "删除QshType"
// @Success 200 {string} string "{"success":true,"data":{},"msg":"删除成功"}"
// @Router /qshType/deleteQshType [delete]
export const deleteQshType = (data) => {
  return service({
    url: '/qshType/deleteQshType',
    method: 'delete',
    data
  })
}

// @Tags QshType
// @Summary 删除QshType
// @Security ApiKeyAuth
// @accept application/json
// @Produce application/json
// @Param data body request.IdsReq true "批量删除QshType"
// @Success 200 {string} string "{"success":true,"data":{},"msg":"删除成功"}"
// @Router /qshType/deleteQshType [delete]
export const deleteQshTypeByIds = (data) => {
  return service({
    url: '/qshType/deleteQshTypeByIds',
    method: 'delete',
    data
  })
}

// @Tags QshType
// @Summary 更新QshType
// @Security ApiKeyAuth
// @accept application/json
// @Produce application/json
// @Param data body model.QshType true "更新QshType"
// @Success 200 {string} string "{"success":true,"data":{},"msg":"更新成功"}"
// @Router /qshType/updateQshType [put]
export const updateQshType = (data) => {
  return service({
    url: '/qshType/updateQshType',
    method: 'put',
    data
  })
}

// @Tags QshType
// @Summary 用id查询QshType
// @Security ApiKeyAuth
// @accept application/json
// @Produce application/json
// @Param data query model.QshType true "用id查询QshType"
// @Success 200 {string} string "{"success":true,"data":{},"msg":"查询成功"}"
// @Router /qshType/findQshType [get]
export const findQshType = (params) => {
  return service({
    url: '/qshType/findQshType',
    method: 'get',
    params
  })
}

// @Tags QshType
// @Summary 分页获取QshType列表
// @Security ApiKeyAuth
// @accept application/json
// @Produce application/json
// @Param data query request.PageInfo true "分页获取QshType列表"
// @Success 200 {string} string "{"success":true,"data":{},"msg":"获取成功"}"
// @Router /qshType/getQshTypeList [get]
export const getQshTypeList = (params) => {
  return service({
    url: '/qshType/getQshTypeList',
    method: 'get',
    params
  })
}
